<!--
@license
Copyright (c) 2016 The Polymer Project Authors. All rights reserved.
This code may only be used under the BSD style license found at http://polymer.github.io/LICENSE.txt
The complete set of authors may be found at http://polymer.github.io/AUTHORS.txt
The complete set of contributors may be found at http://polymer.github.io/CONTRIBUTORS.txt
Code distributed by Google as part of the polymer project is also
subject to an additional IP rights grant found at http://polymer.github.io/PATENTS.txt
-->

<link rel="import" href="../bower_components/polymer/polymer-element.html">
<link rel="import" href="shared-styles.html">
<link rel="import" href="../bower_components/vaadin-material-theme/vaadin-grid.html">
<link rel="import" href="../bower_components/vaadin-grid/vaadin-grid.html">
<link rel="import" href="../bower_components/iron-ajax/iron-ajax.html">

<dom-module id="my-view1">
 
  <template preserve-content  is="dom-if" if="{{loanview}}">
    <!-- Fetch an array of users to be shown in the grid -->
    <iron-ajax auto url="http://10.117.189.198:8080/loans" handle-as="json" on-response="handleResponse"></iron-ajax>
    <div id="loandetails">
      <vaadin-grid aria-label="Loan data" items="[[items]]">
<!--
      <vaadin-grid-column width="50px" flex-grow="0">
        <template class="header">#</template>
        <template>[[index]]</template>
      </vaadin-grid-column> -->

      <vaadin-grid-column>
        <template class="header">Id</template>
        <template on-click="viewDetails">[[item.id]]</template>
      </vaadin-grid-column>
      <vaadin-grid-column>
        <template class="header">Amount</template>
        <template>[[item.amount]]</template>
      </vaadin-grid-column>
       <vaadin-grid-column>
        <template class="header">Details</template>
        <template>[[item.details]]</template>
      </vaadin-grid-column>
    </vaadin-grid>
    </div>
   
  </template>
  <template preserve-content  is="dom-if" if="{{detailview}}">
     <div id="inddetails">[[this.itemdetails.value]]</div>
  </template>

  <script>
      class MyView1 extends Polymer.Element {
        static get is() {
          return 'my-view1';
        }
         static get properties() {

          return {
            items: {
              type: Array, 
              value: []
            }
          };
        }
         static get properties() {

          return {
            items: {
              type: Array, 
              value: []
            },
             loanview: {
              type: Boolean, 
              value: true
            },
             detailview: {
              type: Boolean, 
              value: false
            },
             itemdetails: {
              type: Object, 
              value: {}
            }
          };
        }

        handleResponse(event,req){
          console.log(req);
          console.log(req.response);
          this.items = req.response.obj;
         // this.items = [{id:'test', amount:100}];
        }

        viewDetails(e){
            console.log(e);
            this.loanview = false;
            this.detailview = true;
            this.itemdetails = {value:val};
        }
      }
       window.customElements.define(MyView1.is, MyView1);
    </script>
</dom-module>
